Zum Inhalt springen
Leadtime
Deutsch
Esc
navigateopen⌘Jpreview

Reorder project phases

Updates the display order of project phases by providing an ordered array of phase IDs.

How it works:

  1. Provide an array of phase IDs in the desired display order
  2. The first ID in the array will have sort order 0, second will have 1, etc.
  3. Phases not included in the array will maintain their current sort order

Example: If you provide [“phase-3”, “phase-1”, “phase-2”], then:

  • phase-3 will appear first
  • phase-1 will appear second
  • phase-2 will appear third

Note: This affects the order in which phases appear in dropdowns and the Sales Kanban board.

POST/administration/project-settings/phases/sort
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Request body
requiredapplication/json
idsstring[]required
Array of project phase IDs in the desired order
Responses
200Project phases reordered successfully
401Unauthorized - Invalid or missing authentication token
403Forbidden - Insufficient API scopes or permissions
Request
curl -X POST "https://leadtime.app/api/public/administration/project-settings/phases/sort" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "ids": [
    "phase-1",
    "phase-2",
    "phase-3"
  ]
}'
Response
Project phases reordered successfully